CALIBREDB(1)

NAME
calibredb - calibredb

calibredb polecenie [opcje] [argumenty]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   OPCJE GLOBALNE

•   list

•   add

•   DODAWANIE Z LOKALIZACJI

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPCJE

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

OPCJE GLOBALNE

--help, -h
    Wyświetla ten tekst pomocy i kończy działanie

--library-path, --with-library
    Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: http://hostname:port/#library_id for example, http://localhost:8080/#mylibrary. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Hasło do połączenia z serwerem treści calibre. Aby odczytać hasło ze standardowego wejścia, użyj specjalnej wartości: <stdin>. Aby odczytać hasło z pliku, użyj: <f:/path/to/file> (tj. <f: followed by the full path to the file and a trailing >). Wymagane są nawiasy kątowe podane powyżej, pamiętaj, aby je uciec lub użyj cudzysłowu dla swojej powłoki.

--username
    Nazwa użytkownika służąca do połączenia się z serwerem zawartości calibre

--version
    Wyświetla wersję programu i kończy działanie

LIST

calibredb list [options]

Wyświetl książki dostępne w bazie danych calibre.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Posortuj wyniki rosnąco

--fields, -f
    Pola do wyświetlenia podczas wyświetlania książek w bazie danych. Powinna być oddzielona przecinkami lista pól Dostępne pola: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Domyślnie: % domyślnie. Do wybrania wszystkich pól można użyć specjalnego pola „wszystkie”. Oprócz wbudowanych pól powyżej pola niestandardowe są również dostępne jako *nazwa_pola, na przykład dla niestandardowego pola #oceń, użyj nazwy: *ocena

--for-machine
    Generuj wynik w formacie JSON, bardziej odpowiednim do przetwarzania maszynowego. W tym przypadku szerokość wiersza i separator są ignorowane.

--limit
    Maksymalna liczba wyświetlanych rezultatów. Domyślnie: all

--line-width, -w
    Maksymalna szerokość pojedynczej linii w pliku wynikowym. Domyślnie dostosowana do wykrytego rozmiaru ekranu.

--prefix
    Przedrostek dla wszystkich ścieżek do plików. Domyślnie jest to ścieżka absolutna do folderu biblioteki.

--search, -s
    Filtruj wyniki wg zapytania wyszukiwania. Format zapytania wyszukiwania można znaleźć w dokumentacji wyszukiwania w Podręczniku użytkownika. Domyślnie brak filtrowania.

--separator
    Znak używany do oddzielania pól. Domyślny to spacja.

--sort-by
    Pole, wedle którego sortować wyniki. Dostępne pola: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Domyślnie: id

ADD

calibredb add [options] file1 file2 file3 ...

Dodaje określone pliki jako książki do bazy danych. Możesz również określić katalogi, zobacz opcje odnośnie katalogów poniżej.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Określ autorów dodanych książek

--cover, -c
    Ścieżka do okładki, która zostanie użyta dla dodanej książki.

--duplicates, -d
    Dodaj książki do bazy danych nawet jeśli są już w niej. Porównanie odbywa się na podstawie tytułów.

--empty, -e
    Dodaj pustą książkę (książkę bez żadnych formatów)

--identifier, -I
    Podaj identyfikatory tej książki, na przykład -I asin:XXX -I isbn:YYY

--isbn, -i
    Podaj ISBN dodanych książek

--languages, -l
    Oddzielona przecinkami lista języków (najlepiej użyć kodów językowych ISO639, choć niektóre nazwy języków mogą również zostać rozpoznane)

--series, -s
    Podaj serie dla dodanych książek

--series-index, -S
    Określ numer w serii dla dodanych książek

--tags, -T
    Podaj etykiety dla dodanych książek

--title, -t
    Określ tytuły dodanych książek

  DODAWANIE Z LOKALIZACJI

Opcje dodawania książek. Domyślnie tylko pliki o znanych rozszerzeniach e-booków są dodawane

--add
    Szablon (globalny) nazwy pliku, pliki pasujące do tego szablonu będą dodawane podczas szukania plików, nawet, jeśli nie są to znane typy plików e-book. Może być zmieniany wielokrotnie dla różnych szablonów.

--ignore
    Szablon (globalny) nazwy pliku, pliki pasujące do tego szablonu będą ignorowane podczas szukania plików. Może być zmieniany wielokrotnie dla różnych szablonów, np.: *.pdf spowoduje ignorowanie wszystkich plików pdf

--one-book-per-directory, -1
    Zakładaj, że każdy katalog ma tylko jedną logiczną książkę i że wszystkie pliki znajdujące się w nim są innymi formatami tej samej książki

--recurse, -r
    Przetwarzaj katalogi rekursywnie

REMOVE

calibredb remove ids

Remove the books identified by ids from the database. ids should be a comma separated list of id numbers (you can get id numbers by using the search command). For example, 23,34,57-85 (when specifying a range, the last number in the range is not included).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Nie używaj kosza

ADD_FORMAT

calibredb add_format [opcje] id plik_książki

Dodaj plik_książki do dostępnych formatów książki o identyfikatorze id. Identyfikator można uzyskać za pomocą polecenia wyszukiwania. Jeśli format istnieje, zostanie zastąpiony - o ile nie użyto opcji nie zastępować.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--dont-replace
    Nie zamieniaj formatu jeśli istnieje

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Remove the format fmt from the logical book identified by id. You can get id by using the search command. fmt should be a file extension like LRF or TXT or EPUB. If the logical book does not have fmt available, do nothing.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Show the metadata stored in the calibre database for the book identified by id. id is an id number from the search command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Wydrukuj metadane w formacie OPF (XML)

SET_METADATA

calibredb set_metadata [options] id [/path/to/metadata.opf]

Set the metadata stored in the calibre database for the book identified by id from the OPF file metadata.opf. id is an id number from the search command. You can get a quick feel for the OPF format by using the --as-opf switch to the show_metadata command. You can also set the metadata of individual fields with the --field option. If you use the --field option, there is no need to specify an OPF file.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    Pole do zmiany w formacie nazwa_pola:wartość. Na przykład --field tags:etykieta1,etykieta2. Użyj --list-fields jeśli chcesz otrzymać listę wszystkich pól. Możesz użyć tej opcji wielokrotnie, aby zmienić jednocześnie wiele pól. Uwaga: dla języków należy użyć kodów języków zgodnych z ISO639 (tzn. en dla angielskiego, fr dla francuskiego, pl dla polskiego itd.) Dla identyfikatorów należy użyć składni --field identifiers:isbn:XXXX,doi:YYYYY. W przypadku pól boolean (tak/nie) należy użyć true/false albo tak/nie.

--list-fields, -l
    Lista pól, które mogą być użyte z opcją --field

EXPORT

calibredb export [options] ids

Export the books specified by ids (a comma separated list) to the filesystem. The export operation saves all formats of the book, its cover and metadata (in an opf file). You can get id numbers from the search command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Eksportuj wszystkie książki w bazie, ignoruj listę identyfikatorów.

--dont-asciiize
    Zwykle calibre skonwertuje wszystkie nie-angielskie znaki na ich angielskie odpowiedniki w nazwach plików. UWAGA: Jeżeli wyłączysz tę opcję, możesz doświadczyć błędów podczas zapisywania, w zależności od tego, jak dobrze twój system plików radzi sobie z obsługą Unicode. Określając ten przełącznik wyłączysz to zachowanie

--dont-save-cover
    calibre zapisze okładkę w oddzielnym pliku obok właściwego pliku z książką. Określając ten przełącznik wyłączysz to zachowanie

--dont-update-metadata
    Zwykle calibre uaktualni metadane w zapisanych plikach tymi, które są w bibliotece calibre. Sprawia, że zapisywanie na dysku jest wolniejsze. Określając ten przełącznik wyłączysz to zachowanie

--dont-write-opf
    calibre zapisze metadane do osobnego pliku OPF obok właściwego pliku z książką. Określając ten przełącznik wyłączysz to zachowanie

--formats
    Oddzielana przecinkami lista formatów do zapisania dla każdej książki. Domyślnie zapisywane są wszystkie dostępne formaty.

--progress
    Postęp

--replace-whitespace
    Zastąp spacje podkreśleniami.

--single-dir
    Eksportuj wszystkie książki do pojedynczego katalogu

--template
    Szablon decydujący o nazwie foldera i plików przy zapisie książek na dysk. Domyślny szablon to "{author_sort}/{title}/{title} - {authors}", w którym nazwa folderu jest tworzona z nazwiska autora, a nazwy plików składają się z tytułu i autora. Dostępne pola: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Format wyświetlania dat. %d - dzień, %b - miesiąc, %m - numer miesiąca, %Y - rok. Domyślnie: %b, %Y

--to-dir
    Eksportuj książki do podanego katalogu. Domyślny to .

--to-lowercase
    Przekształć ścieżki dostępu na małe litery.

CATALOG

calibredb catalog /ścieżka/do/celu.(csv|epub|mobi|xml...) [opcje]

Eksportuje katalog w formacie wskazanym w rozszerzeniu ścieżka/do/celu. Opcje sterują sposobem, w jaki wyświetlane są wpisy generowanego katalogu wynikowego. Pamiętaj, że różne formaty katalogów obsługują inne zestawy opcji.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Lista ID oddzielona przecinkami do katalogu. Jeśli jest zadeklarowane, --search jest ignorowane. Domyślnie: wszystkie (all)

--search, -s
    Filtruj wyniki wg zapytania wyszukiwania. Format zapytania wyszukiwania można znaleźć w dokumentacji wyszukiwania w Podręczniku użytkownika. Domyślnie: brak filtrowania.

--verbose, -v
    Pokazuj szczegółową informację wyjściową. Przydatne przy debugowaniu.

  EPUB OPCJE

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified directory. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Włącz sekcję "Autorzy" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-descriptions
    Włącz sekcję "Opisy" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-genres
    Włącz sekcję "Gatunki" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-recently-added
    Włącz sekcję "Ostatnio dodane" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-series
    Włącz sekcję "Serie" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-titles
    Włącz sekcję "Tytuły" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--genre-source-field
    Pole źródłowe dla sekcji "Gatunki". Domyślnie: 'Etykiety' Dotyczy formatów wyjściowych: AZW3, EPUB, MOBI

--header-note-source-field
    Pole użytkownika zawierające tekst włączany do opisu. Domyślnie: '' Dotyczy formatów wyjściowych: AZW3, EPUB, MOBI

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with Comments [before|after] Placement of notes with respect to Comments [True|False] - A horizontal rule is inserted between notes and Comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Określa profil wyjściowy. W niektórych przypadkach profil wyjściowy jest konieczny do optymalizacji dla konkretnego urządzenia. Na przykład w przypadku 'kindle' lub 'kindle_dx' tworzy strukturę spisu treści z sekcjami i artykułami. Domyślnie: 'None' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--prefix-rules
    Określa reguły używane do przypisywania przedrostków oznaczających przeczytane książki, listę życzeń i inne zdefiniowane przez użytkownika. Schemat reguły jest następujący: ('<nazwa reguły>','<pole źródłowe>','<wzorzec>','<przedrostek>'). Jeśli zdefiniowano wiele reguł zostanie zastosowana pierwsza pasująca. Domyślnie: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Dotyczy formatów: AZW3, EPUB, MOBI

--preset
    Użyj zestawu stworzonego za pomocą GUI Catalog buildera. Zestaw zawiera wszystkie ustawienia potrzebne do utworzenia katalogu. Domyślnie: 'None' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI.

--thumb-width
    Podpowiedź rozmiaru (w calach) dla okładek książek w katalogu. Zakres: 1.0 – 2.0 Domyślnie: '1.0' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--use-existing-cover
    Zamień istniejącą okładkę przy generowaniu katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Manage the saved searches stored in this database. If you try to add a query with a name that already exists, it will be replaced.

Syntax for adding:

calibredb saved_searches add search_name search_expression

Syntax for removing:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [options] label name datatype

Stwórz własną kolumnę. label to nazwa kolumny w języku komputerowym. Nie powinna zawierać spacji ani dwukropka. name to nazwa ludzka kolumny. datatype to jeden z: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Słownik opcji, określających jak będą interpretowane dane w tej kolumnie. Są one w formacie JSON. Do wyświetlenia kolumn można użyć --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Zmienna display może przyjąć wiele opcji. Dla kolejnych typów kolumn: złożone: composite_template, composite_sort, make_category, contains_html, use_decorations daty i czasu: date_format wyliczenia: enum_values, enum_colors, use_decorations liczbowe: number_format tekstowe: is_names, use_decorations Najlepszym sposobem na znalezienie właściwej kombinacji jest stworzenie własnej kolumny odpowiedniego typu w interfejsie użytkownika, a potem zajrzenie do pliku OPF książki (przy założeniu, że plik OPF został uaktualniony po stworzeniu kolumny). Tam znajduje się JSON dla nowej kolumny.

--is-multiple
    Ta kolumna przechowuje dane etykietopodobne (np. wielokrotne wartości oddzielone przecinkami). Ma zastosowanie tylko jeśli typ danych to tekst.

CUSTOM_COLUMNS

calibredb custom_columns [opcje]

Wyświetla listę dostępnych, własnych kolumn. Pokazuje ich nazwę oraz id.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Pokaż szczegóły dla każdej kolumny.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Remove the custom column identified by label. You can see available columns with the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Nie pytaj o potwierdzenie

SET_CUSTOM

calibredb set_custom [options] column id value

Set the value of a custom column for the book identified by id. You can get a list of ids using the search command. You can get a list of custom column names using the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Jeśli kolumna przechowuje wielokrotne wartości, dołącz określone wartości do istniejących, zamiast je zastępować.

RESTORE_DATABASE

calibredb restore_database [options]

Przywróć tę bazę danych z metadanych zachowanych w plikach OPF w każdym katalogu biblioteki calibre. To jest użyteczne jeśli twój plik metadata.db uległ uszkodzeniu.

UWAGA: Ta komenda całkowicie zregeneruje twoją bazę danych. Stracisz wszystkie zapisane wyszukiwanie, własne kategorie, wtyczki, ustawienia konwersji i własne źródła. Przywrócone metadane będą tak dokładne jakie zostaną znalezione w plikach OPF.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Naprawdę dokonaj przywrócenia. Ta komenda nie uruchomi się dopóki ta opcja nie zostanie określona.

CHECK_LIBRARY

calibredb check_library [options]

Wykonaj sprawdzenie w systemie plików biblioteki. Zgłoszenia są invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    Wynik w CSV

--ignore_extensions, -e
    Lista rozszerzeń rozdzielona przecinkiem do zignorowania. Domyślnie: wszystkie

--ignore_names, -n
    Lista nazw rozdzielona przecinkiem do zignorowania. Domyślnie: wszystkie

--report, -r
    Lista raportów rozdzielona przecinkiem. Domyślnie: wszystkie

LIST_CATEGORIES

calibredb list_categories [options]

Wygeneruj raport z informacji kategorii w bazie danych. Informacja jest równoznaczna z tym co jest pokazane na ekranie etykiet.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Lista kategorii wyszukiwań nazw oddzielona przecinkami. Domyślnie: wszystkie

--csv, -c
    Wynik w CSV

--dialect
    Rodzaj pliku CSV do utworzenia. Wybór: excel, excel-tab

--item_count, -i
    Wyprowadź tylko taką ilość elementów w kategorii zamiast wyliczać na każdy element wewnątrz kategorii

--width, -w
    Maksymalna szerokość pojedynczej linii w pliku wynikowym. Domyślnie dostosowana do wykrytego rozmiaru ekranu.

BACKUP_METADATA

calibredb backup_metadata [opcje]

Zapisz metadane z bazy danych do plików OPF w folderach poszczególnych książek. Zwykle jest to robione automatycznie, ale można w ten sposób wymusić odświeżenie plików OPF, używając opcji --all.

Zwykle nie ma potrzeby tego robić – pliki OPF są aktualizowane automatycznie przy każdej zmianie metadanych.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Domyślnie to polecenie operuje na książkach, które mają nieaktualne pliki OPF. Ta opcja powoduje, że działaniem zostaną objęte wszystkie książki.

CLONE

calibredb clone path/to/new/library

Create a clone of the current library. This creates a new, empty library that has all the same custom columns, Virtual libraries and other settings as the current library.

The cloned library will contain no books. If you want to create a full duplicate, including all books, then simply use your filesystem tools to copy the library folder.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [opcje] id_książki

Uaktualnij metadane w plikach książki z biblioteki calibre na podstawie bazy danych biblioteki Domyślnie metadane są uaktualniane jedynie podczas eksportowania plików z calibre, to polecenie pozwala na uaktualnienie ich bez eksportu. Należy pamiętać, że różne formaty obsługują różne metadane. Można użyć specjalnej wartości 'all' jako id_książki, by uaktualnić metadane we wszystkich książkach w bibliotece. Można również podać wiele identyfikatorów książek, oddzielając je spacjami oraz zakresy identyfikatorów, w których są one oddzielone myślnikami. Na przykład: calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Uaktualnij metadane wyłącznie w plikach o podanym formacie. Podaj wielokrotnie dla wielu formatów. Domyślnie uaktualniane są wszystkie formaty.

SEARCH

calibredb search [opcje] ‹ wyrażenie_wyszukiwania ›

Przeszukuje bibliotekę pod kątem określonego terminu zwracając oddzieloną przecinkami listę identyfikatorów książek pasujących do wyrażenia wyszukiwania. Format wyjściowy jest użyteczny podczas przekazania wyników do innych poleceń przyjmujących listę identyfikatorów jako wejście.

Wyrażenie wyszukiwania może być czymkolwiek z potężnego języka zapytań wyszukiwania calibre, przykładowo: author:asimov title:robot

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    Maksymalna liczba wyświetlanych rezultatów. Domyślnie wszystkie.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal